petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexSetConeOrientation

Set the orientations on the in-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetConeOrientation(DM dm, PetscInt p, const PetscInt coneOrientation[])

Not collective Many br

### Input Parameters

| mesh | - The DMPlex Many br
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart() Many br
| coneOrientation | - An array of orientations which are on the in-edges for point p. An orientation is an Many brinteger giving the prescription for cone traversal. If it is negative, the cone is Many brtraversed in the opposite direction. Its value 'o', or if negative '-(o+1)', gives Many brthe index of the cone point on which to start. Many br

### Output Parameter

### Note

This should be called after all calls to DMPlexSetConeSize() and DMSetUp(). Many br

Many br

### See Also

DMPlexCreate(), DMPlexGetConeOrientation(), DMPlexSetCone(), DMPlexSetChart(), DMPlexSetConeSize(), DMSetUp()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html